Bug 1275759 - WLS: BigApp - Data Corection task is not generated
WLS: BigApp - Data Corection task is not generated
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
x86_64 Linux
high Severity medium
: CR1
: 6.2.0
Assigned To: Maciej Swiderski
Lukáš Petrovický
:
Depends On: 1277466
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 12:34 EDT by Pavel Kralik
Modified: 2018-03-31 18:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Kralik 2015-10-27 12:34:54 EDT
Description of problem:
Data Corection task is not generated with following data.

//Test data from babak's video; Amortization 28 intentionally incorrect to test Data Correction HT
{"Babak Mozaffari", "12300 Wilshire Blvd., Los Angele, CA", "333224444", "200000", "1000000", "200000", "28"}

Version-Release number of selected component (if applicable):
BPMS 6.2.0.ER4

How reproducible:
Always

Steps to Reproduce:
1. Deploy business central to WLS
2. Deploy and start jboss-mortgage-demo-ws.war with WLS console and check if service is running
3. Run BigApp with above data.

Actual results:
Data Correction task is not generated

Expected results:
Data Correction task is generated

Additional info:
Comment 2 Kris Verlaenen 2015-10-27 12:56:24 EDT
See https://bugzilla.redhat.com/show_bug.cgi?id=1275628
This probably has the same underlying issue, invoking the WS is failing.
Comment 3 Maciej Swiderski 2015-10-28 10:54:20 EDT
I have verified that the root cause of this is wrong URL to WSDL of the web service. When the web service application is deployed to Weblogic it will then expose its WS on following URL:

http://wls-host:7001/jboss-mortgage-demo-ws/CreditServiceService?WSDL

NOTE: you need to replace wls-host with actual host where Weblogic is running.

Once the correct URL to WSDL is used Appraisal task is created properly

this change needs to be done on Mortgage process level for Credit Report activity

Note You need to log in before you can comment on or make changes to this bug.